<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [tprint](./bitburner.ns.tprint.md)

## NS.tprint() method

Prints one or more values or variables to the Terminal.

**Signature:**

```typescript
tprint(...args: any[]): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  args | any\[\] | Value(s) to be printed. |

**Returns:**

void

## Remarks

RAM cost: 0 GB

See [print](./bitburner.ns.print.md) for how to add color to your printed strings.

